summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeroen Roovers <jer@gentoo.org>2019-03-16 11:21:04 +0100
committerJeroen Roovers <jer@gentoo.org>2019-03-16 11:21:25 +0100
commitac0be9325a02bd2b2184ba61b90f3773e9796238 (patch)
tree84169d992ea4fbf5a0e2d97a2cf1e5b47077910c
parentsys-block/nbd: stable 3.18 for hppa, bug #677060 (diff)
downloadgentoo-ac0be9325a02bd2b2184ba61b90f3773e9796238.tar.gz
gentoo-ac0be9325a02bd2b2184ba61b90f3773e9796238.tar.bz2
gentoo-ac0be9325a02bd2b2184ba61b90f3773e9796238.zip
net-misc/olsrd: Version 0.9.7
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Jeroen Roovers <jer@gentoo.org>
-rw-r--r--net-misc/olsrd/Manifest1
-rw-r--r--net-misc/olsrd/olsrd-0.9.7.ebuild102
2 files changed, 103 insertions, 0 deletions
diff --git a/net-misc/olsrd/Manifest b/net-misc/olsrd/Manifest
index 7df3615b807..dfc664d29c2 100644
--- a/net-misc/olsrd/Manifest
+++ b/net-misc/olsrd/Manifest
@@ -1 +1,2 @@
DIST olsrd-0.9.6.1.tar.bz2 908871 BLAKE2B 180a30039607fd5c16676c62d0d1045bc5ce2a13675b34ca192f1f19127facb12428f6ba631e45fc42b191693a6ef987271745d769a74062ce682e1796b83dc9 SHA512 06e97c3fef6e2f24885fc96f9e68582523926188e4bbe9283c3add997c20f8cec1e691063d5cf6392e4e56dfa250c2cd8ac00035b47f56dbd2069b12b430255a
+DIST olsrd-0.9.7.tar.gz 15761465 BLAKE2B f272bf9358b4beb1157ff0e2098413de3b81a9598453f76b27c101e370d23280928efbf7399901efd48a319437ac6717ee3496d19a7213eb6d22f50adeb7b319 SHA512 a4abe3e6ddc624725f42c8a80df880a2763d1985d3583cb010d6a01c2866fbeef4e6870cf4e4d1e4403c49bea262a2c967d64040bd36c70ed2f4fc3f4ec988dd
diff --git a/net-misc/olsrd/olsrd-0.9.7.ebuild b/net-misc/olsrd/olsrd-0.9.7.ebuild
new file mode 100644
index 00000000000..ee0488eaf39
--- /dev/null
+++ b/net-misc/olsrd/olsrd-0.9.7.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit multilib toolchain-funcs
+
+DESCRIPTION="An implementation of the Optimized Link State Routing protocol"
+HOMEPAGE="http://www.olsr.org/"
+SRC_URI="https://github.com/OLSR/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+SLOT="0"
+LICENSE="BSD LGPL-2.1"
+KEYWORDS="~amd64 ~x86"
+IUSE="gtk pud"
+DEPEND="
+ gtk? (
+ dev-libs/glib:2
+ x11-libs/gdk-pixbuf:2
+ x11-libs/gtk+:2
+ )
+ pud? ( sci-geosciences/gpsd )
+"
+RDEPEND="
+ ${DEPEND}
+"
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.9.0.2-gtk.patch
+ "${FILESDIR}"/${PN}-0.9.6-gpsd.patch
+)
+src_prepare() {
+ default
+
+ # fix parallel make
+ # respect AR
+ # verbose build
+ # fix default prefix, bug #453440
+ sed -i \
+ -e '/@echo "\[/d' \
+ -e 's|$(MAKECMD)|$(MAKE)|g' \
+ -e 's|@$(CC)|$(CC)|g' \
+ -e 's|@ar |$(AR) |g' \
+ -e '/^prefix/s:/usr/local:/usr:' \
+ $( find -name 'Makefile*' ) || die
+
+ # respect LDFLAGS
+ sed -i \
+ -e 's|$(CC)|& $(OLSRD_LDFLAGS)|g' \
+ lib/pud/nmealib/Makefile lib/pud/wireformat/Makefile || die
+}
+
+src_configure() {
+ if ! use pud; then
+ sed -i -e '/^SUBDIRS/ s|pud||g' Makefile || die
+ fi
+}
+
+src_compile() {
+ tc-export PKG_CONFIG
+ emake \
+ CC="$(tc-getCC)" \
+ VERBOSE=1 \
+ LIBDIR="/usr/$(get_libdir)/${PN}" \
+ OLSRD_LDFLAGS="${LDFLAGS}" \
+ OS=linux \
+ build_all
+ if use gtk; then
+ emake -C gui/linux-gtk LIBDIR="/usr/$(get_libdir)/${PN}" CC="$(tc-getCC)"
+ fi
+}
+
+src_install() {
+ emake OS=linux LIBDIR="${D}/usr/$(get_libdir)/${PN}" \
+ DESTDIR="${D}" STRIP=true install_all
+ if use gtk; then
+ emake -C gui/linux-gtk \
+ LIBDIR="${D}/usr/$(get_libdir)/${PN}" DESTDIR="${D}" install
+ fi
+
+ doinitd "${FILESDIR}"/${PN}
+
+ gzip -d \
+ "${ED%/}"/usr/share/man/man5/olsrd.conf.5.gz \
+ "${ED%/}"/usr/share/man/man8/olsrd.8.gz \
+ || die
+
+ dodoc CHANGELOG \
+ valgrind-howto.txt files/olsrd.conf.default.rfc \
+ files/olsrd.conf.default.lq \
+ lib/arprefresh/README_ARPREFRESH \
+ lib/bmf/README_BMF \
+ lib/dot_draw/README_DOT_DRAW \
+ lib/dyn_gw/README_DYN_GW \
+ lib/dyn_gw_plain/README_DYN_GW_PLAIN \
+ lib/httpinfo/README_HTTPINFO \
+ lib/mini/README_MINI \
+ lib/nameservice/README_NAMESERVICE \
+ lib/pgraph/README_PGRAPH \
+ lib/quagga/README_QUAGGA \
+ lib/secure/README_SECURE \
+ lib/txtinfo/README_TXTINFO \
+ lib/watchdog/README_WATCHDOG
+}